package com.mushiny.wms.slam;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 测试程序 SLAM返回状态给WMS
 */
@Component
public class SlamTestService {

    private static final Logger logger = LoggerFactory.getLogger(SlamTestController.class);


    private boolean flag = false;

    private Integer state;

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    private Long startTime;//标记时间 超过五秒回复到WMS

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    private Map param;

    public Map getParam() {
        return param;
    }

    public void setParam(Map param) {
        this.param = param;
    }

    public boolean isFlag() {
        return flag;
    }

    public void setFlag(boolean flag) {
        this.flag = flag;
    }

    public void response2Wms(){
        if(!flag){
            return;
        }
        logger.info("SLAM状态"+state);
        logger.info("执行回复:"+param);

    }
}
